'rbenv rehash' fails with 1.9.3, but does not with 2.0.0 #387

Closed
yuszuv opened this Issue May 7, 2013 · 2 comments

Comments

Projects
None yet
3 participants

yuszuv commented May 7, 2013

If I try to do a rbenv rehash with ruby-1.9.3-p385 in any directory, I get the following error:

Bundler gave the error "Could not find json-1.7.7 in any of the sources" while processing "/home/jan/rails/test/stern42/Gemfile". Perhaps you forgot to run "bundle install"?

where "stern42" is a rails4 app running with ruby-2.0.0-p0. If I go to this directory and run bundle, then I can rehash (using 1.9.3 doesn't successfully bundle, of course). Installing 'json' v1.7.7 doesn't help either.

I don't know, if this a bug in "rbenv". If so, perhaps here can help me solve and if not, what could be the part that fails. Could it be one of my rbenv plugins

  • bundler
  • rbenv-update
  • ruby-build

or does perhaps "bundler" fail?

fschwahn commented May 8, 2013

It is recommended to not use the rbenv-bundler-plugin, as it has been the source of many problems (see here). I'd try to uninstall rbenv-bundler and then try again.

Owner

mislav commented May 8, 2013

Thanks @fschwahn ;)

@mislav mislav closed this May 8, 2013

@mislav mislav referenced this issue in carsomyr/rbenv-bundler May 18, 2013

Closed

Please deprecate this whole project #32

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment